Package org.jcsp.util.filter

# Interface FilteredSharedChannelInput

All Superinterfaces:
  `ChannelInput`, `FilteredChannelInput`, `Poisonable`, `ReadFiltered`, `SharedChannelInput`

All Known Implementing Classes:
  `FilteredSharedChannelInputWrapper`

public interface FilteredSharedChannelInput extends SharedChannelInput, FilteredChannelInput
Interface for a channel input end that supports filtering and can be shared by multiple processes.

Author:
  Quickstone Technologies Limited
See Also:
  - `SharedChannelInput`
  - `ReadFiltered`

## Method Summary

### Methods inherited from interface org.jcsp.lang.ChannelInput

`endRead, read, startRead`

### Methods inherited from interface org.jcsp.lang.Poisonable

`poison`

### Methods inherited from interface org.jcsp.util.filter.ReadFiltered

`addReadFilter, addReadFilter, getReadFilter, getReadFilterCount, removeReadFilter, removeReadFilter`